WhatsApp to Stop Working on These Phones from January 1 2021

WhatsApp will stop working on some phones from January 1, 2021. These include some Android and iPhones.

WhatsApp to Stop Working on These Phones from January 1

WhatsApp has ceased to support these devices and they may not be able to run the app from next year. In a while, for some times now, the instant messaging platform has made it a regular thing to withdraw support for old smartphones, running especially on older OS.

To clarify, WhatsApp disclosed in its FAQ page that its app will only be compatible with phones running either the Android 4.0.3 OS or above and iPhones on iOS 9 or newer. That is to say, all iPhone devices up to the iPhone 4 will stop receiving support for WhatsApp soon.

Also, See:

Affected iPhone models are basically the iPhone 4S, iPhone 5, iPhone 5S, iPhone 6, and iPhone 6S. Also, Android devices affected include Droid Razr, HTC Desire, LG Optimus Black, Motorola, Samsung Galaxy S2 and any Android device released before 2010. They will all lose WhatsApp support and stop running the app by the end of 2020.

RELATED:  How to Use WhatsApp View Once on Android and iOS

However, the most popular instant messenger app will still work on certain phones running KaiOS 2.5.1 OS or newer. This includes JioPhone and JioPhone 2 devices.

To be sure that your phone won’t be affected, kindly check which OS your device is running, and possibly consider an upgrade if need be. On iPhone, go to the Settings >> General and Information >> Software to see the current iOS version your device is running. Also, Android users should go to Settings >> About Phone. The current Android version is shown.

WhatsApp to Stop Working on These Phones from January 1 2021

iOS

Apple iPhone 1-4, iPhone 4S, iPhone 5, iPhone 5S, iPhone 6, and iPhone 6S

Android

Droid Razr, HTC Desire, LG Optimus Black, Motorola, Samsung Galaxy S2 and any Android device released before 2010.

What you can do

If you are an iOS user, consider upgrading your Apple iPhone device to iOS 9 or newer. The upgrade is available for iPhone 4S, iPhone 5, iPhone 5S, iPhone 6 and iPhone 6S.

On the other hand, android phones must upgrade at least 4.0.3 to continue using WhatsApp. The upgrade is available for Samsung Galaxy S3 and newer series, Samsung Galaxy Note, HTC Sensation, HTC Thunderbolt, LG Lucid and Motorola Droid 4.

RELATED:  How to Appear Offline in Cold War

Also, See:

Found this post helpful? Kindly share with friends,

Latest posts by Goodness (see all)

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.